var ExcelData, ExcelKind;
function ConfirmImport() {
    $.ajax({
        type: "POST",
        url: "/Admin/Orders/Import?r=" + Math.random(1),
        data: "ExcelData=" + encodeURIComponent(JSON.stringify(ExcelData)),
        dataType: "text",
        success: function (data) {
            if (data == "success") {
                layer.msg("导入成功", { time: 2000 }, function () {
                    window.location.reload();
                });
            } else {
                layer.msg(data);
            }
        }
    });
}

var excel;
layui.config({
    base: '/layuiadmin/' //静态资源所在路径
}).extend({
    myexcel: 'layui/lay/modules/excel',
    index: 'lib/index' //主入口模块
}).use(['index', 'table', 'excel', 'laydate'], function () {
    var $ = layui.$
        , form = layui.form
        , table = layui.table;

    //- 筛选条件-日期
    var laydate = layui.laydate;
    var layPayeDate = laydate.render({
        elem: '#PayDate',
        type: 'date',
        range: true,
        trigger: 'click',
        change: function (value, date, endDate) {
            var op = true;
            if (date.year == endDate.year && endDate.month - date.month <= 1) {
                if (endDate.month - date.month == 1 && endDate.date > date.date) {
                    op = false;
                    layPayeDate.hint('日期范围请不要超过1个月');
                    setTimeout(function () {
                        $(".laydate-btns-confirm").addClass("laydate-disabled");
                    }, 1);
                }
            } else {
                op = false;
                layPayeDate.hint('日期范围请不要超过1个月');
                setTimeout(function () {
                    $(".laydate-btns-confirm").addClass("laydate-disabled");
                }, 1);
            }
            if (op) {
                $('#PayDate').val(value);
            }
        }
    });
    var layCreateDate = laydate.render({
        elem: '#CreateDate',
        type: 'date',
        range: true,
        trigger: 'click',
        change: function (value, date, endDate) {
            var op = true;
            if (date.year == endDate.year && endDate.month - date.month <= 1) {
                if (endDate.month - date.month == 1 && endDate.date > date.date) {
                    op = false;
                    layCreateDate.hint('日期范围请不要超过1个月');
                    setTimeout(function () {
                        $(".laydate-btns-confirm").addClass("laydate-disabled");
                    }, 1);
                }
            } else {
                op = false;
                layCreateDate.hint('日期范围请不要超过1个月');
                setTimeout(function () {
                    $(".laydate-btns-confirm").addClass("laydate-disabled");
                }, 1);
            }
            if (op) {
                $('#CreateDate').val(value);
            }
        }
    });
    var laySendDate = laydate.render({
        elem: '#SendDate',
        trigger: 'click',
        type: 'date',
        range: true,
        change: function (value, date, endDate) {
            var op = true;
            if (date.year == endDate.year && endDate.month - date.month <= 1) {
                if (endDate.month - date.month == 1 && endDate.date > date.date) {
                    op = false;
                    laySendDate.hint('日期范围请不要超过1个月');
                    setTimeout(function () {
                        $(".laydate-btns-confirm").addClass("laydate-disabled");
                    }, 1);
                }
            } else {
                op = false;
                laySendDate.hint('日期范围请不要超过1个月');
                setTimeout(function () {
                    $(".laydate-btns-confirm").addClass("laydate-disabled");
                }, 1);
            }
            if (op) {
                $('#SendDate').val(value);
            }
        }
    });


    //excel导入
    excel = layui.excel;
    $('#ExcelFile').change(function (e) {
        var files = e.target.files;
        excel.importExcel(files, {}, function (data) {
            ExcelData = data[0].sheet1;
        });
    });

    //监听单元格编辑
    table.on('edit(LAY-list-manage)', function (obj) {
        var value = obj.value //得到修改后的值
            , data = obj.data //得到所在行所有键值
            , field = obj.field; //得到字段
        if (field == "Sort") {
            $.ajax({
                type: "POST",
                url: "/Admin/Orders/Sort?r=" + Math.random(1),
                data: "Id=" + data.Id + "&Sort=" + value,
                dataType: "text",
                success: function (data) {
                }
            });
        }
    });

    //列表数据
    table.render({
        elem: '#LAY-list-manage'
        , url: '/Admin/Orders/IndexData' //模拟接口
        , cols: [[
            { type: 'checkbox', fixed: 'left' }
            , { field: 'Id', fixed: 'left', title: 'ID', width: 80, sort: true, unresize: true }
            // , { field: 'SendInfo', width: 200, title: '发货状态-发货时间', sort: true }
            , { field: 'StatusName', width: 200, title: '订单状态', sort: true }
            , { field: 'OrderNo', width: 200, title: '平台订单号-渠道订单号', sort: true }
            , { field: 'ProductName', width: 200, title: '商品名称', sort: true }
            , { field: 'ProductKind', width: 200, title: '商品类型', sort: true }
            , { field: 'TotalPrice', width: 200, title: '订单金额', sort: true }
            , { field: 'BuyCount', width: 200, title: '购买数量', sort: true }
            , { field: 'UserInfo', width: 200, title: '创客信息', sort: true }
            , { field: 'Store', width: 200, title: '发货仓库信息', sort: true }
            , { field: 'StoreContact', width: 200, title: '仓库联系人信息', sort: true }
            , { field: 'StoreFrom', width: 200, title: '仓库归属信息', sort: true }
            , { field: 'TopUserInfo', width: 200, title: '顶级创客信息', sort: true }
            , { field: 'Address', width: 200, title: '收货地址', sort: true }
            , { field: 'RecieveInfo', width: 200, title: '收件人姓名-联系电话', sort: true }
            , { field: 'PayMode', width: 200, title: '支付渠道', sort: true }
            // , { field: 'PayStatusName', width: 200, title: '支付状态', sort: true }
            , { field: 'DeliveryType', width: 200, title: '提货类型', sort: true }
            , { field: 'Remark', width: 200, title: '订单备注', sort: true }
            // , { field: 'RefundStatusName', width: 200, title: '退款状态', sort: true }
            , { field: 'ErpInfo', width: 200, title: '快递单号-快递名称', sort: true }
            , { field: 'CreateDate', width: 200, title: '下单时间', sort: true }
            , { field: 'PayDate', width: 200, title: '支付时间', sort: true }
            , { field: 'SendDate', width: 200, title: '发货时间', sort: true }
            , { field: 'RefundDate', width: 200, title: '退款时间', sort: true }

            , { title: '操作', align: 'center', width: 300, fixed: 'right', toolbar: '#table-list-tools' }
        ]]
        , where: {

        }
        , page: true
        , limit: 30
        , height: 'full-220'
        , text: '对不起，加载出现异常！'
        , done: function (res, curr, count) {
            $("#SuccessAmount").text(res.other.SuccessAmount);
            $("#FailAmount").text(res.other.FailAmount);
            $(".layui-none").text("无数据");
        }
    });

    //监听工具条
    table.on('tool(LAY-list-manage)', function (obj) {
        var data = obj.data;
        if (obj.event === 'del') {
            var index = layer.confirm('确定要删除吗？删除后不能恢复！', function (index) {
                $.ajax({
                    type: "POST",
                    url: "/Admin/Orders/Delete?r=" + Math.random(1),
                    data: "Id=" + data.Id,
                    dataType: "text",
                    success: function (data) {
                        if (data == "success") {
                            obj.del();
                            layer.close(index);
                        } else {
                            parent.layer.msg(data);
                        }
                    }
                });
            });
        } else if (obj.event === 'edit') {
            var tr = $(obj.tr);
            var perContent = layer.open({
                type: 2
                , title: '创客订单-编辑'
                , content: 'Edit?Id=' + data.Id + ''
                , maxmin: true
                , area: ['500px', '450px']
                , btn: ['确定', '取消']
                , yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index]
                        , submitID = 'LAY-list-front-submit'
                        , submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);

                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});

                        $.ajax({
                            type: "POST",
                            url: "/Admin/Orders/Edit?r=" + Math.random(1),
                            data: userdata,
                            dataType: "text",
                            success: function (data) {
                                layer.close(index); //关闭弹层
                                if (data == "success") {
                                    table.reload('LAY-list-manage'); //数据刷新
                                } else {
                                    layer.msg(data);
                                }
                            }
                        });
                    });

                    submit.trigger('click');
                }
                , success: function (layero, index) {

                }
            });
            layer.full(perContent);
        } else if (obj.event === 'detail') {
            var tr = $(obj.tr);
            var perContent = layer.open({
                type: 2
                , title: '订单详情'
                , content: 'Detail?Id=' + data.Id + ''
                , maxmin: true
                , area: ['700px', '650px']
                , btn: ['关闭']
                , yes: function (index, layero) {
                    layer.close(index);
                }
                , success: function (layero, index) {

                }
            });
            layer.full(perContent);
        } else if (obj.event === 'send') {
            var tr = $(obj.tr);
            var perContent = layer.open({
                type: 2
                , title: '创客订单-发货'
                , content: 'Send?Id=' + data.Id + ''
                , maxmin: true
                , area: ['500px', '650px']
                , btn: ['确认发货', '取消']
                , yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index]
                        , submitID = 'LAY-list-front-submit'
                        , submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);

                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});
                        var IdList = '';
                        layero.find('iframe').contents().find('input[type=hidden][name=IdList]').each(function (i) {
                            IdList += $(this).val() + "#";
                        });
                        userdata += "&IdList=" + IdList;

                        var StoreIdList = '';
                        layero.find('iframe').contents().find('select[name=StoreIdList]').each(function (i) {
                            StoreIdList += $(this).val() + "#";
                        });
                        userdata += "&StoreIdList=" + StoreIdList;

                        var SnNosList = '';
                        layero.find('iframe').contents().find('textarea[name=SnNosList]').each(function (i) {
                            SnNosList += $(this).val() + "#";
                        });
                        userdata += "&SnNosList=" + SnNosList;


                        $.ajax({
                            type: "POST",
                            url: "/Admin/Orders/Send?r=" + Math.random(1),
                            data: userdata,
                            dataType: "text",
                            success: function (data) {
                                if (data == "success") {
                                    layer.close(index); //关闭弹层
                                    layer.msg('提交成功', { time: 1500 }, function () {
                                        table.reload('LAY-list-manage'); //数据刷新
                                    });
                                } else {
                                    layer.msg(data);
                                }
                            }
                        });
                    });

                    submit.trigger('click');
                }
                , success: function (layero, index) {

                }
            });
        } else if (obj.event === 'return') {
            var tr = $(obj.tr);
            var perContent = layer.open({
                type: 2
                , title: '退款'
                , content: 'Return?Id=' + data.Id + ''
                , maxmin: true
                , area: ['500px', '450px']
                , btn: ['确认退款', '取消']
                , yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index]
                        , submitID = 'LAY-list-front-submit'
                        , submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);

                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});

                        $.ajax({
                            type: "POST",
                            url: "/Admin/Orders/Return?r=" + Math.random(1),
                            data: userdata,
                            dataType: "text",
                            success: function (data) {
                                if (data == "success") {
                                    layer.close(index); //关闭弹层
                                    layer.msg('提交成功', { time: 1500 }, function () {
                                        table.reload('LAY-list-manage'); //数据刷新
                                    });
                                } else {
                                    layer.msg(data);
                                }
                            }
                        });
                    });

                    submit.trigger('click');
                }
                , success: function (layero, index) {

                }
            });
        } else if (obj.event === 'prize100') {
            var loadindex = layer.load(1, {
                shade: [0.5, '#000']
            });
            $.ajax({
                url: "/Admin/Orders/Prize100?r=" + Math.random(1),
                data: "Id=" + data.Id,
                dataType: "json",
                success: function (data) {
                    layer.close(loadindex);
                    if (data.code == '1') {
                        layer.alert(data.result.replace(/\n/g, '<br />'), { area: ['680px', '460px'] });
                    } else {
                        var index = layer.confirm(data.result.replace(/\n/g, '<br />') + '<br />是否立即补发？', { area: ['500px', '460px'] }, function (index) {
                            $.ajax({
                                type: "POST",
                                url: "/Admin/Orders/AddPrize100?r=" + Math.random(1),
                                data: "Id=" + data.Id,
                                dataType: "text",
                                success: function (data) {
                                    if (data == "success") {
                                        layer.close(index);
                                        layer.msg("补发成功");
                                    } else {
                                        layer.msg(data);
                                    }
                                }
                            });
                        });
                    }
                }
            });
        }
    });


    //监听搜索
    form.on('submit(LAY-list-front-search)', function (data) {
        var field = data.field;

        //执行重载
        table.reload('LAY-list-manage', {
            where: field,
            page: {
                curr: 1
            }
        });
    });
    form.on('submit(LAY-list-front-searchall)', function (data) {
        table.reload('LAY-list-manage', {
            where: null,
            page: {
                curr: 1
            }
        });
    });

    //事件
    var active = {
        batchdel: function () {
            var checkStatus = table.checkStatus('LAY-list-manage')
                , data = checkStatus.data; //得到选中的数据
            if (data.length < 1) {
                parent.layer.msg("请选择要删除的项");
            } else {
                var ids = "";
                $.each(data, function (index, value) {
                    ids += data[index].Id + ",";
                });
                ids = ids.substring(0, ids.length - 1);
                var index = layer.confirm('确定要删除吗？删除后不能恢复！', function (index) {
                    $.ajax({
                        type: "POST",
                        url: "/Admin/Orders/Delete?r=" + Math.random(1),
                        data: "Id=" + ids,
                        dataType: "text",
                        success: function (data) {
                            layer.close(index);
                            if (data == "success") {
                                table.reload('LAY-list-manage');
                            } else {
                                layer.msg(data);
                            }
                        }
                    });
                });
            }
        }
        , add: function () {
            var perContent = layer.open({
                type: 2
                , title: '创客订单-添加'
                , content: 'Add'
                , maxmin: true
                , area: ['500px', '450px']
                , btn: ['确定', '取消']
                , yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index]
                        , submitID = 'LAY-list-front-submit'
                        , submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);






                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});

                        $.ajax({
                            type: "POST",
                            url: "/Admin/Orders/Add?r=" + Math.random(1),
                            data: userdata,
                            dataType: "text",
                            success: function (data) {
                                layer.close(index); //关闭弹层
                                if (data == "success") {
                                    table.reload('LAY-list-manage'); //数据刷新
                                } else {
                                    layer.msg(data);
                                }
                            }
                        });
                    });

                    submit.trigger('click');
                }
            });
            layer.full(perContent);
        }
        , ImportData: function () {
            ExcelKind = 1;
            layer.open({
                type: 1,
                title: '导入',
                maxmin: false,
                area: ['460px', '280px'],
                content: $('#excelForm'),
                cancel: function () {
                }
            });
            $("#excelTemp").html('<a href="/excelfile/模板文件.xlsx">点击下载模板文件</a>');
        }, ExportsExcel: function () {
            var userdata = '';
            $(".layuiadmin-card-header-auto input").each(function (i) {
                console.log($(this).attr('name'));
                console.log($(this).val());
                userdata += $(this).attr('name') + '=' + encodeURIComponent($(this).val()) + '&';
            });
            $(".layuiadmin-card-header-auto select").each(function (i) {
                userdata += $(this).attr('name') + '=' + encodeURIComponent($(this).val()) + '&';
            });
            // $.ajax({
            //     type: "GET",
            //     url: "/Admin/Orders/ExportsExcel?r=" + Math.random(1),
            //     data: userdata,
            //     dataType: "json",
            //     success: function (data) {
            //         data.Obj.unshift(data.Fields);
            //         excel.exportExcel(data.Obj, data.Info, 'xlsx');
            //     }
            // });
            var index = layer.confirm('确定导出吗？', function (index) {
                var indexs = layer.load(1, {
                    shade: [0.5, '#000']
                });
                $.ajax({
                    type: "POST",
                    url: "/Admin/Orders/QuickExportExcelDo?r=" + Math.random(1),
                    data: userdata,
                    dataType: "text",
                    success: function (data) {
                        layer.close(index); //关闭弹层
                        if (data == "success") {
                            layer.close(indexs); //关闭弹层
                            layer.msg('导出成功，请到我的下载中点击下载文件', {
                                time: 1000
                            }, function () {
                                window.location.reload();
                            });
                        } else {
                            layer.close(indexs); //关闭弹层
                            layer.msg(data);
                        }
                    }
                });
            });
        }
        , ExportExcel: function () {
            var userdata = '';
            $(".layuiadmin-card-header-auto input").each(function (i) {
                userdata += $(this).attr('name') + '=' + encodeURIComponent($(this).val()) + '&';
            });
            $(".layuiadmin-card-header-auto select").each(function (i) {
                userdata += $(this).attr('name') + '=' + encodeURIComponent($(this).val()) + '&';
            });
            var index = layer.load(1, {
                shade: [0.8, '#000'],
                content: '',
                success: function (layero) {
                    var obj = layero.find('.layui-layer-content').css({
                        'padding-top': '10px',
                        'width': '200px',
                        'color': '#fff',
                        'text-align': 'center'
                    });
                    var st = setInterval(function () {
                        $.ajax({
                            type: "GET",
                            url: "/Admin/Orders/CheckExport?r=" + Math.random(1),
                            dataType: "text",
                            success: function (data) {
                                if (data == "finish") {
                                    clearInterval(st);
                                } else {
                                    obj.text(data);
                                }
                            }
                        });
                    }, 1000);
                }
            });
            $.ajax({
                type: "GET",
                url: "/Admin/Orders/ExportExcel?r=" + Math.random(1),
                data: userdata,
                dataType: "text",
                success: function (data) {
                    layer.close(index);
                    if (data.indexOf("success|") > -1) {
                        var datalist = data.split('|');
                        window.location.href = datalist[1];
                    } else {
                        layer.msg('导出失败');
                    }
                    // data.Obj.unshift(data.Fields);
                    // excel.exportExcel(data.Obj, data.Info, 'xlsx');
                }
            });
        }
        , Open: function () {
            var checkStatus = table.checkStatus('LAY-list-manage')
                , data = checkStatus.data; //得到选中的数据
            if (data.length < 1) {
                parent.layer.msg("请选择要开启的项");
            } else {
                var ids = "";
                $.each(data, function (index, value) {
                    ids += data[index].Id + ",";
                });
                ids = ids.substring(0, ids.length - 1);
                var index = layer.confirm('确定要开启吗？', function (index) {
                    $.ajax({
                        type: "POST",
                        url: "/Admin/Orders/Open?r=" + Math.random(1),
                        data: "Id=" + ids,
                        dataType: "text",
                        success: function (data) {
                            layer.close(index);
                            if (data == "success") {
                                table.reload('LAY-list-manage');
                            } else {
                                layer.msg(data);
                            }
                        }
                    });
                });
            }
        }
        , Close: function () {
            var checkStatus = table.checkStatus('LAY-list-manage')
                , data = checkStatus.data; //得到选中的数据
            if (data.length < 1) {
                parent.layer.msg("请选择要关闭的项");
            } else {
                var ids = "";
                $.each(data, function (index, value) {
                    ids += data[index].Id + ",";
                });
                ids = ids.substring(0, ids.length - 1);
                var index = layer.confirm('确定要关闭吗？', function (index) {
                    $.ajax({
                        type: "POST",
                        url: "/Admin/Orders/Close?r=" + Math.random(1),
                        data: "Id=" + ids,
                        dataType: "text",
                        success: function (data) {
                            layer.close(index);
                            if (data == "success") {
                                table.reload('LAY-list-manage');
                            } else {
                                layer.msg(data);
                            }
                        }
                    });
                });
            }
        }
    };

    $('.layui-btn').on('click', function () {
        var type = $(this).data('type');
        active[type] ? active[type].call(this) : '';
    });
});